org.apache.pdfbox.pdmodel.graphics.color

## Class PDGamma

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDGamma

All Implemented Interfaces:
  COSObjectable

    public final class PDGamma
    extends Object
    implements COSObjectable

A gamma array, or collection of three floating point parameters used for color operations.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDGamma()` Creates a new gamma.
`PDGamma(COSArray array)` Creates a new gamma from a COS array.

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getB()` Returns the b value of the tristimulus.
`COSArray` `getCOSArray()` Convert this standard java object to a COS object.
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`float` `getG()` Returns the g value of the tristimulus.
`float` `getR()` Returns the r value of the tristimulus.
`void` `setB(float b)` Sets the b value of the tristimulus.
`void` `setG(float g)` Sets the g value of the tristimulus.
`void` `setR(float r)` Sets the r value of the tristimulus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDGamma

    public PDGamma()

Creates a new gamma. Defaults all values to 0, 0, 0.

#### PDGamma

    public PDGamma(COSArray array)

Creates a new gamma from a COS array.

Parameters:
  `array` - the array containing the XYZ values

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the cos object that matches this Java object

#### getCOSArray

    public COSArray getCOSArray()

Convert this standard java object to a COS object.

Returns:
  the cos object that matches this Java object

#### getR

    public float getR()

Returns the r value of the tristimulus.

Returns:
  the R value.

#### setR

    public void setR(float r)

Sets the r value of the tristimulus.

Parameters:
  `r` - the r value for the tristimulus

#### getG

    public float getG()

Returns the g value of the tristimulus.

Returns:
  the g value

#### setG

    public void setG(float g)

Sets the g value of the tristimulus.

Parameters:
  `g` - the g value for the tristimulus

#### getB

    public float getB()

Returns the b value of the tristimulus.

Returns:
  the B value

#### setB

    public void setB(float b)

Sets the b value of the tristimulus.

Parameters:
  `b` - he b value for the tristimulus